uuid: 5c1a4387-2f3c-47c5-a4fa-6843746b5567
langcode: et
status: true
dependencies:
  module:
    - node
    - search_api
  config:
    - search_api.server.search
    - core.entity_view_mode.node.search_index
id: index
name: Index
description: ''
read_only: false
field_settings:
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          page: search_index
  status:
    label: null
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Pealkiri
    datasource_id: 'entity:node'
    property_path: title
    type: string
    dependencies:
      module:
        - node
  uid:
    label: null
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - page
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  highlight:
    highlight: always
    highlight_partial: true
    excerpt: true
    excerpt_length: 200
    exclude_fields: {  }
    prefix: '<strong>'
    suffix: '</strong>'
    weights:
      postprocess_query: 0
  html_filter:
    all_fields: false
    fields:
      - rendered_item
      - title
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
    weights:
      preprocess_index: -15
      preprocess_query: -15
  ignorecase:
    all_fields: false
    fields:
      - rendered_item
      - title
    weights:
      preprocess_index: -20
      preprocess_query: -20
  language_with_fallback: {  }
  rendered_item: {  }
tracker_settings:
  default:
    indexing_order: fifo
options:
  index_directly: true
  cron_limit: 50
server: search
